### Function

# Cogl shader_source

deprecated: 1.16 since: 13

#### Declaration [src]

    void
    cogl_shader_source (
      CoglHandle shader,
      const char* source
    )

#### Description [src]

Replaces the current source associated with a shader with a new one.

Please see above for a description of the recommended format for the shader code.

Available since: 13

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`shader`

  Type: `CoglHandle`

  `CoglHandle` for a shader.

`source`

  Type: `const char*`

  Shader source.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.